Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct Class Reference

This class is used for updating a policy. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct:

## Public Member Functions
| getLimitations ()
| Returns list of limitations added to policy. More...
| addLimitation (Limitation $limitation)
| Adds a limitation to the policy - if a Limitation exists with the same identifier the existing limitation is replaced. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $limitations = []

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class is used for updating a policy.

The limitations of the policy are replaced with those which are added in instances of this class.

Meant for internal use by Repository, type hint against API instead.

Definition at line 18 of file Core/Repository/Values/User/PolicyUpdateStruct.php.

## Member Function Documentation

## ◆ addLimitation()

eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct::addLimitation | ( | Limitation | $limitation | ) |

Adds a limitation to the policy - if a Limitation exists with the same identifier the existing limitation is replaced.

Parameters

  \eZ\Publish\API\Repository\Values\User\Limitation | $limitation |

Reimplemented from eZ\Publish\API\Repository\Values\User\PolicyStruct.

Definition at line 43 of file Core/Repository/Values/User/PolicyUpdateStruct.php.

References eZ\Publish\API\Repository\Values\User\Limitation\getIdentifier().

## ◆ getLimitations()

eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct::getLimitations | ( |  | ) |

Returns list of limitations added to policy.

Returns
  \eZ\Publish\API\Repository\Values\User\Limitation[]

Reimplemented from eZ\Publish\API\Repository\Values\User\PolicyStruct.

Definition at line 32 of file Core/Repository/Values/User/PolicyUpdateStruct.php.

References eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct\$limitations.

## Member Data Documentation

## ◆ $limitations

eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct::$limitations = []
| protected

Definition at line 25 of file Core/Repository/Values/User/PolicyUpdateStruct.php.

Referenced by eZ\Publish\Core\Repository\Values\User\PolicyUpdateStruct\getLimitations().

The documentation for this class was generated from the following file:

- Core/Repository/Values/User/PolicyUpdateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.